<!DOCTYPE html>
<html lang="pl" xmlns:th="http://www.thymeleaf.org">
<body>
<div th:fragment="category">
    <h2
            class="my-5 text-center"
            th:text="${subCategory != null ? category.getName() + ' - ' + subCategory.getName() : category.getName()}">
        Title
    </h2>
    <div class="dropdown mb-2">
        <a
                class="btn btn-secondary dropdown-toggle"
                href="#" role="button"
                id="dropdownMenuLink"
                data-toggle="dropdown"
                aria-haspopup="true"
                aria-expanded="false"
                th:text="${subCategory} != null ? ${subCategory.getName()} : 'Wszystko'">
        </a>
        <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
            <a
                    class="dropdown-item"
                    th:text="Wszystko"
                    th:href="@{/categories/{category-slug}(category-slug = ${category.getSlug()})}">
            </a>
            <a
                    class="dropdown-item"
                    th:each="subCategory : ${subCategories}"
                    th:href="@{/categories/{category-slug}/{sub-category-slug}(category-slug = ${category.getSlug()}, sub-category-slug = ${subCategory.getSlug()})}"
                    th:text="${subCategory.getName()}">
            </a>
        </div>
    </div>
    <div class="card mb-3" style="" th:each="product : ${products}">
        <div class="row no-gutters">
            <div class="col-lg-2 text-center">
                <img style="max-height: 179px; width: auto;" class="card-img" alt="..." th:src="@{${product.urlPhoto}}">
            </div>
            <div class="col-lg-10">
                <div class="row card-body">
                    <h5 class="card-title" th:text="${product.name + ' - ' + #numbers.formatDecimal(product.price, 0, 'COMMA', 2, 'POINT') + ' PLN'}">Product name</h5>
                    <p class="card-text text-truncate" th:text="${product.description}">Product description</p>
                </div>
                <div class="row justify-content-start card-body">
                    <div class="col-auto m-1">
                        <a
                                class="btn btn-primary "
                                th:href="@{/products/{id}(id = ${product.id})}">
                            Szczegóły
                        </a>
                    </div>
                    <div
                            class="col-auto m-1"
                            th:insert="/fragments/buttons :: add-to-cart(productId=${product.id})">
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>

<div th:fragment="product-details">

</div>
</body>
</html>